> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Voice Upload

> This endpoint is used to upload a voice.

<Tip>
  `voice_id` returned with [Text To Audio Endpoint](/enterprise-api/voice-cloning/text-to-audio)
</Tip>

## Request

Make a `POST` request to below endpoint and pass the required parameters as a request body.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v1/enterprise/voice/voice_upload' \
```

## Body Attributes

<ParamField query="key" type="string" required>
  Your API Key used for request authorization.
</ParamField>

<ParamField query="name" type="string" required>
  Display name of the voice you want to upload.
</ParamField>

<ParamField query="init_audio" type="string" format="url" required>
  Audio URL of the voice sample. Only <code>mp3</code> and <code>wav</code> are allowed.\
  Recommended length: 10–25 seconds for best results.
</ParamField>

<ParamField query="language" type="string" enum="[&#x22;english&#x22;,&#x22;arabic&#x22;,&#x22;spanish&#x22;,&#x22;german&#x22;,&#x22;czech&#x22;,&#x22;brazilian portuguese&#x22;,&#x22;chinese&#x22;,&#x22;dutch&#x22;,&#x22;french&#x22;,&#x22;hindi&#x22;,&#x22;hungarian&#x22;,&#x22;italian&#x22;,&#x22;japanese&#x22;,&#x22;korean&#x22;,&#x22;polish&#x22;,&#x22;russian&#x22;,&#x22;turkish&#x22;]" default="english">
  The language of the voice sample. It must match the actual spoken language of the uploaded audio. Default: english.
</ParamField>

## Body

```json theme={null}
{      
    "key":"enterprise_api_key",    
    "name":"Jacob",    
    "init_audio":"https://assets.modelslab.ai/generations/5c3eef10-0eb4-4db8-8b12-fc4eedbf30b9.mp3",    
    "language":"english"
}
```
